From 01597384c9f33990dd09ea420e18e96e4f308888 Mon Sep 17 00:00:00 2001
From: Amar Singh <nly@disroot.org>
Date: Thu, 24 Dec 2020 21:28:06 +0530
Subject: [PATCH 1/2] gnu: i2pd: Update to 2.33.0.

* gnu/packages/i2p.scm (i2pd): Update to 2.33.0.

Signed-off-by: Amar Singh <nly@disroot.org>
---
 gnu/packages/i2p.scm | 27 +++------------------------
 1 file changed, 3 insertions(+), 24 deletions(-)

diff --git a/gnu/packages/i2p.scm b/gnu/packages/i2p.scm
index 537aeaf76c..7502033274 100644
--- a/gnu/packages/i2p.scm
+++ b/gnu/packages/i2p.scm
@@ -30,7 +30,7 @@
 (define-public i2pd
   (package
     (name "i2pd")
-    (version "2.31.0")
+    (version "2.33.0")
     (source
      (origin
        (method git-fetch)
@@ -39,7 +39,7 @@
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1q2gxz041ha9n5lfn91iy11sdf3z7d806vcq4z43m7lf92m7i4nn"))))
+        (base32 "1zsp4pml5pq8p1ipvarnlcfwcscch13iz1gzza5qm0yl01dl9qpk"))))
     (build-system cmake-build-system)
     (inputs `(("boost" ,boost)
               ("miniupnpc" ,miniupnpc)
@@ -77,28 +77,7 @@
                                           `("-j" ,(number->string
                                                     (parallel-job-count)))
                                           '())
-                                    ,@make-flags))))))
-                   (add-after 'install 'install-headers
-                     (lambda* (#:key outputs #:allow-other-keys)
-                       (let* ((install-dir (assoc-ref outputs "out"))
-                              (src-dir (string-append install-dir "/src"))
-                              (include-dir
-                               (string-append install-dir "/include")))
-                         (mkdir-p include-dir)
-                         ;; This is the only header file that's relevant to the
-                         ;; public interface.
-                         ;; <https://github.com/PurpleI2P/i2pd/issues/1378>
-                         (install-file (string-append src-dir "/api.h")
-                                       include-dir)
-                         #t)))
-                   (add-after 'install-headers 'remove-source
-                     (lambda* (#:key outputs #:allow-other-keys)
-                       (let* ((install-dir (assoc-ref outputs "out"))
-                              (src-dir (string-append install-dir "/src")))
-                         (delete-file-recursively src-dir)
-                         (delete-file (string-append install-dir
-                                                     "/LICENSE"))
-                         #t))))))
+                                    ,@make-flags)))))))))
     (home-page "https://i2pd.website/")
     (synopsis "Router for an end-to-end encrypted and anonymous internet")
     (description "i2pd is a client for the anonymous I2P network, upon which
-- 
2.29.2

